#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../../interfaces
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES
    kaddressbookplugin.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kontact )


##### libkontact_kaddressbookplugin (module) ####

set( KDE3_DCOPIDL_EXECUTABLE ${KDE3_DCOPIDLNG_EXECUTABLE} )

tde_add_kpart( libkontact_kaddressbookplugin AUTOMOC
  SOURCES
    kaddressbook_plugin.cpp
    ${CMAKE_SOURCE_DIR}/kaddressbook/kaddressbookiface.stub
    ${CMAKE_SOURCE_DIR}/kmail/kmailIface.stub
  LINK kpinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
